/*
 * blancoDb Enterprise Edition
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.dbee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class BlancoDbEEWizardPage4 extends WizardPage {

    private ISelection selection;

    public BlancoDbEEWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle("blancoDbEEプラグインに関連するフォルダ");
        this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoDbEEプラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE)
                .setText("  2.メタディレクトリ (フォルダ名は meta/sql を強く推奨)");
        new Label(container, SWT.NONE).setText("    SQL定義書が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE)
                .setText("  4.ソースコード生成ディレクトリ (フォルダ名は blanco/main となります)");

        setControl(container);
    }
}